Cannot Install v253

I am using a Win7 x64 machine that has v252 installed. When I try to install v253 I get a message (see attached) stating that the version I was installing was not compatible with the version of windows I am running. So I thought I must have downloaded the wrong version. So I went back to the website to see if there was another version available but there wasn't.

Any ideas anyone?


See /t/14193/1
(just 2 beneath your post)